DefaultGrailsDomainClass (Grails 6.0.0)

Package: org.grails.core

## [Java] Class DefaultGrailsDomainClass

- org.grails.core.DefaultGrailsDomainClass

- All Implemented Interfaces and Traits:
    GrailsDomainClass

      @java.lang.SuppressWarnings("rawtypes")
      @java.lang.Deprecated
      public class DefaultGrailsDomainClass
      extends AbstractGrailsClass
      implements GrailsDomainClass

  Default implementation of the GrailsDomainClass interface

  Authors:
    Graeme Rocher
  Since:
    0.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Boolean` | `autowire` |
    `private java.util.Map<java.lang.String, Constrained>` | `constrainedProperties` |
    `private static org.slf4j.Logger` | `log` |
    `private org.grails.datastore.mapping.model.MappingContext` | `mappingContext` |
    `private org.grails.datastore.mapping.model.PersistentEntity` | `persistentEntity` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `classPropertyFetcher, clazz, fullName, grailsApplication, isAbstract, logicalPropertyName, name, naturalName, packageName, propertyName, shortName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsDomainClass (java.lang.Class<?> clazz, org.grails.datastore.mapping.model.MappingContext mappingContext)`
    `DefaultGrailsDomainClass (java.lang.Class<?> clazz)` Constructor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Map` | `getConstrainedProperties()`
    `` | `public java.lang.String` | `getName()`
    `` | `public java.lang.String` | `getPropertyName()`
    `` | `public org.springframework.validation.Validator` | `getValidator()`
    `` | `public boolean` | `isAutowire()`
    `` | `public boolean` | `isOwningClass(java.lang.Class domainClass)`
    `` | `public void` | `setValidator(org.springframework.validation.Validator validator)`
    `` | `private void` | `verifyContextIsInitialized()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, resolvePropertyFetcher, setGrailsApplication, toString`

- - ### Field Detail

    - #### private java.lang.Boolean autowire

    - #### private java.util.Map<java.lang.String, Constrained> constrainedProperties

    - #### private static final org.slf4j.Logger log

    - #### private org.grails.datastore.mapping.model.MappingContext mappingContext

    - #### private org.grails.datastore.mapping.model.PersistentEntity persistentEntity

  - ### Constructor Detail

    - #### public DefaultGrailsDomainClass(java.lang.Class<?> clazz, org.grails.datastore.mapping.model.MappingContext mappingContext)

    - #### public DefaultGrailsDomainClass(java.lang.Class<?> clazz)

      Constructor.

      Parameters:
        clazz

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("unchecked") @java.lang.Override public java.util.Map getConstrainedProperties()

    - #### @java.lang.Override public java.lang.String getName()

    - #### @java.lang.Override public java.lang.String getPropertyName()

    - #### public org.springframework.validation.Validator getValidator()

    - #### @java.lang.Override public boolean isAutowire()

    - #### @java.lang.Override public boolean isOwningClass(java.lang.Class domainClass)

    - #### public void setValidator(org.springframework.validation.Validator validator)

    - #### private void verifyContextIsInitialized()